# QCA::InfoContext Class Reference
[QCA provider API]

Extended provider information. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::InfoContext:

Collaboration diagram for QCA::InfoContext:

[legend]

List of all members.

## Public Member Functions

| InfoContext (Provider *p)
virtual QStringList | supportedCipherTypes () const
virtual QStringList | supportedHashTypes () const
virtual QStringList | supportedMACTypes () const

## Detailed Description

Extended provider information.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications.

## Constructor & Destructor Documentation

QCA::InfoContext::InfoContext | ( | Provider * | p | ) | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context

## Member Function Documentation

virtual QStringList QCA::InfoContext::supportedCipherTypes | ( |  | ) | const`[virtual]`

The cipher algorithms supported by the provider.

virtual QStringList QCA::InfoContext::supportedHashTypes | ( |  | ) | const`[virtual]`

The hash algorithms supported by the provider.

virtual QStringList QCA::InfoContext::supportedMACTypes | ( |  | ) | const`[virtual]`

The mac algorithms supported by the provider.

The documentation for this class was generated from the following file:

- qcaprovider.h